Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Header And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jfree.chart.renderer
Class DefaultPolarItemRenderer

    java.lang.Object
      org.jfree.chart.renderer.AbstractRenderer
          org.jfree.chart.renderer.DefaultPolarItemRenderer

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, PolarItemRenderer

    public class DefaultPolarItemRenderer

extends AbstractRenderer
implements PolarItemRenderer

A renderer that can be used with the `PolarPlot` class.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jfree.chart.renderer.AbstractRenderer
`DEFAULT_OUTLINE_PAINT, DEFAULT_OUTLINE_STROKE, DEFAULT_PAINT, DEFAULT_SHAPE, DEFAULT_STROKE, DEFAULT_VALUE_LABEL_FONT, DEFAULT_VALUE_LABEL_PAINT, ZERO`

Constructor Summary
`DefaultPolarItemRenderer()` Creates a new instance of DefaultPolarItemRenderer

Method Summary
`java.lang.Object` | `clone()` Returns a clone of the renderer.
`void` | `drawAngularGridLines(java.awt.Graphics2D g2, PolarPlot plot, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the angular gridlines - the spokes.
`void` | `drawRadialGridLines(java.awt.Graphics2D g2, PolarPlot plot, ValueAxis radialAxis, java.util.List ticks, java.awt.geom.Rectangle2D dataArea)` Draw the radial gridlines - the rings.
`void` | `drawSeries(java.awt.Graphics2D g2, java.awt.geom.Rectangle2D dataArea, PlotRenderingInfo info, PolarPlot plot, XYDataset dataset, int seriesIndex)` Plots the data for a given series.
`boolean` | `equals(java.lang.Object obj)` Tests this renderer for equality with an arbitrary object.
`DrawingSupplier` | `getDrawingSupplier()` Returns the drawing supplier from the plot.
`LegendItem` | `getLegendItem(int series)` Return the legend for the given series.
`PolarPlot` | `getPlot()` Return the plot associated with this renderer.
`boolean` | `isSeriesFilled(int series)` Returns `true` if the renderer should fill the specified series, and `false` otherwise.
`void` | `setPlot(PolarPlot plot)` Set the plot associated with this renderer.
`void` | `setSeriesFilled(int series, boolean filled)` Sets a flag that controls whether or not a series is filled.

Methods inherited from class org.jfree.chart.renderer.AbstractRenderer
`addChangeListener, calculateLabelAnchorPoint, clearSeriesPaints, clearSeriesStrokes, fireChangeEvent, getAutoPopulateSeriesFillPaint, getAutoPopulateSeriesOutlinePaint, getAutoPopulateSeriesOutlineStroke, getAutoPopulateSeriesPaint, getAutoPopulateSeriesShape, getAutoPopulateSeriesStroke, getBaseCreateEntities, getBaseFillPaint, getBaseItemLabelFont, getBaseItemLabelPaint, getBaseItemLabelsVisible, getBaseLegendShape, getBaseLegendTextFont, getBaseLegendTextPaint, getBaseNegativeItemLabelPosition, getBaseOutlinePaint, getBaseOutlineStroke, getBasePaint, getBasePositiveItemLabelPosition, getBaseSeriesVisible, getBaseSeriesVisibleInLegend, getBaseShape, getBaseStroke, getCreateEntities, getDataBoundsIncludesVisibleSeriesOnly, getDefaultEntityRadius, getItemCreateEntity, getItemFillPaint, getItemLabelAnchorOffset, getItemLabelFont, getItemLabelFont, getItemLabelPaint, getItemLabelPaint, getItemOutlinePaint, getItemOutlineStroke, getItemPaint, getItemShape, getItemStroke, getItemVisible, getLegendShape, getLegendTextFont, getLegendTextPaint, getNegativeItemLabelPosition, getNegativeItemLabelPosition, getPositiveItemLabelPosition, getPositiveItemLabelPosition, getSeriesCreateEntities, getSeriesFillPaint, getSeriesItemLabelFont, getSeriesItemLabelPaint, getSeriesNegativeItemLabelPosition, getSeriesOutlinePaint, getSeriesOutlineStroke, getSeriesPaint, getSeriesPositiveItemLabelPosition, getSeriesShape, getSeriesStroke, getSeriesVisible, getSeriesVisible, getSeriesVisibleInLegend, getSeriesVisibleInLegend, hashCode, hasListener, isItemLabelVisible, isSeriesItemLabelsVisible, isSeriesVisible, isSeriesVisibleInLegend, lookupLegendShape, lookupLegendTextFont, lookupLegendTextPaint, lookupSeriesFillPaint, lookupSeriesOutlinePaint, lookupSeriesOutlineStroke, lookupSeriesPaint, lookupSeriesShape, lookupSeriesStroke, notifyListeners, removeChangeListener, setAutoPopulateSeriesFillPaint, setAutoPopulateSeriesOutlinePaint, setAutoPopulateSeriesOutlineStroke, setAutoPopulateSeriesPaint, setAutoPopulateSeriesShape, setAutoPopulateSeriesStroke, setBaseCreateEntities, setBaseCreateEntities, setBaseFillPaint, setBaseFillPaint, setBaseItemLabelFont, setBaseItemLabelFont, setBaseItemLabelPaint, setBaseItemLabelPaint, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseItemLabelsVisible, setBaseLegendShape, setBaseLegendTextFont, setBaseLegendTextPaint, setBaseNegativeItemLabelPosition, setBaseNegativeItemLabelPosition, setBaseOutlinePaint, setBaseOutlinePaint, setBaseOutlineStroke, setBaseOutlineStroke, setBasePaint, setBasePaint, setBasePositiveItemLabelPosition, setBasePositiveItemLabelPosition, setBaseSeriesVisible, setBaseSeriesVisible, setBaseSeriesVisibleInLegend, setBaseSeriesVisibleInLegend, setBaseShape, setBaseShape, setBaseStroke, setBaseStroke, setCreateEntities, setCreateEntities, setDataBoundsIncludesVisibleSeriesOnly, setDefaultEntityRadius, setFillPaint, setFillPaint, setItemLabelAnchorOffset, setItemLabelFont, setItemLabelFont, setItemLabelPaint, setItemLabelPaint, setItemLabelsVisible, setItemLabelsVisible, setItemLabelsVisible, setLegendShape, setLegendTextFont, setLegendTextPaint, setNegativeItemLabelPosition, setNegativeItemLabelPosition, setOutlinePaint, setOutlinePaint, setOutlineStroke, setOutlineStroke, setPaint, setPaint, setPositiveItemLabelPosition, setPositiveItemLabelPosition, setSeriesCreateEntities, setSeriesCreateEntities, setSeriesFillPaint, setSeriesFillPaint, setSeriesItemLabelFont, setSeriesItemLabelFont, setSeriesItemLabelPaint, setSeriesItemLabelPaint, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesItemLabelsVisible, setSeriesNegativeItemLabelPosition, setSeriesNegativeItemLabelPosition, setSeriesOutlinePaint, setSeriesOutlinePaint, setSeriesOutlineStroke, setSeriesOutlineStroke, setSeriesPaint, setSeriesPaint, setSeriesPositiveItemLabelPosition, setSeriesPositiveItemLabelPosition, setSeriesShape, setSeriesShape, setSeriesStroke, setSeriesStroke, setSeriesVisible, setSeriesVisible, setSeriesVisible, setSeriesVisible, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setSeriesVisibleInLegend, setShape, setShape, setStroke, setStroke`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jfree.chart.renderer.PolarItemRenderer
`addChangeListener, removeChangeListener`

Constructor Detail

### DefaultPolarItemRenderer

    public DefaultPolarItemRenderer()

  Creates a new instance of DefaultPolarItemRenderer

Method Detail

### setPlot

    public void setPlot(PolarPlot plot)

  Set the plot associated with this renderer.

  Specified by:
    `setPlot` in interface `PolarItemRenderer`
  Parameters:
    `plot` - the plot.
  See Also:
    `getPlot()`

### getPlot

    public PolarPlot getPlot()

  Return the plot associated with this renderer.

  Specified by:
    `getPlot` in interface `PolarItemRenderer`
  Returns:
    The plot.
  See Also:
    `setPlot(PolarPlot)`

### getDrawingSupplier

    public DrawingSupplier getDrawingSupplier()

  Returns the drawing supplier from the plot.

  Specified by:
    `getDrawingSupplier` in class `AbstractRenderer`
  Returns:
    The drawing supplier.

### isSeriesFilled

    public boolean isSeriesFilled(int series)

  Returns `true` if the renderer should fill the specified series, and `false` otherwise.

  Parameters:
    `series` - the series index (zero-based).
  Returns:
    A boolean.

### setSeriesFilled

    public void setSeriesFilled(int series,
                                boolean filled)

  Sets a flag that controls whether or not a series is filled.

  Parameters:
    `series` - the series index.
    `filled` - the flag.

### drawSeries

    public void drawSeries(java.awt.Graphics2D g2,
                           java.awt.geom.Rectangle2D dataArea,
                           PlotRenderingInfo info,
                           PolarPlot plot,
                           XYDataset dataset,
                           int seriesIndex)

  Plots the data for a given series.

  Specified by:
    `drawSeries` in interface `PolarItemRenderer`
  Parameters:
    `g2` - the drawing surface.
    `dataArea` - the data area.
    `info` - collects plot rendering info.
    `plot` - the plot.
    `dataset` - the dataset.
    `seriesIndex` - the series index.

### drawAngularGridLines

    public void drawAngularGridLines(java.awt.Graphics2D g2,
                                     PolarPlot plot,
                                     java.util.List ticks,
                                     java.awt.geom.Rectangle2D dataArea)

  Draw the angular gridlines - the spokes.

  Specified by:
    `drawAngularGridLines` in interface `PolarItemRenderer`
  Parameters:
    `g2` - the drawing surface.
    `plot` - the plot.
    `ticks` - the ticks.
    `dataArea` - the data area.

### drawRadialGridLines

    public void drawRadialGridLines(java.awt.Graphics2D g2,
                                    PolarPlot plot,
                                    ValueAxis radialAxis,
                                    java.util.List ticks,
                                    java.awt.geom.Rectangle2D dataArea)

  Draw the radial gridlines - the rings.

  Specified by:
    `drawRadialGridLines` in interface `PolarItemRenderer`
  Parameters:
    `g2` - the drawing surface.
    `plot` - the plot.
    `radialAxis` - the radial axis.
    `ticks` - the ticks.
    `dataArea` - the data area.

### getLegendItem

    public LegendItem getLegendItem(int series)

  Return the legend for the given series.

  Specified by:
    `getLegendItem` in interface `PolarItemRenderer`
  Parameters:
    `series` - the series index.
  Returns:
    The legend item.

### equals

    public boolean equals(java.lang.Object obj)

  Tests this renderer for equality with an arbitrary object.

  Overrides:
    `equals` in class `AbstractRenderer`
  Parameters:
    `obj` - the object (`null` not permitted).
  Returns:
    `true` if this renderer is equal to `obj`, and `false` otherwise.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a clone of the renderer.

  Overrides:
    `clone` in class `AbstractRenderer`
  Returns:
    A clone.
  Throws:
    `java.lang.CloneNotSupportedException` - if the renderer cannot be cloned.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| # Footer And More
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 by Object Refinery Limited. All Rights Reserved.